---
title: Examine and edit CSS
slug: Tools/Page_Inspector/How_to/Examine_and_edit_CSS
tags:
  - Guide
  - Inspector
  - Tools
---
<div>{{ToolsSidebar}}</div>

<p>You can examine and edit CSS in the Inspector's <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#CSS_pane">CSS pane</a>.</p>

<h2 id="Examine_CSS_rules">Examine CSS rules</h2>

<p>The <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#Rules_view">Rules view</a> lists all the rules that apply to the selected element, ordered from most-specific to least-specific:</p>

<p><img alt="Rules view panel as of Firefox 72" src="https://mdn.mozillademos.org/files/17037/rules_view_Fx_72.png" style="border: 1px solid black; display: block; height: 333px; margin-left: auto; margin-right: auto; width: 436px;"></p>

<p>The four buttons on the right top of the rules view allow you to change the display of certain CSS and rules view features. You can:</p>

<ul>
 <li>toggle pseudo-classes;</li>
 <li>toggle classes;</li>
 <li>add a new rule;</li>
 <li>change the display based on the color scheme preference (as of Firefox 72, you must set <code>devtools.inspector.color-scheme-simulation.enabled</code> to <strong>true</strong> in the <a href="https://support.mozilla.org/en-US/kb/about-config-editor-firefox">Configuration Editor</a> to enable this feature);</li>
 <li>change the display based on <a href="#View_media_rules_for_Print">print media rules</a>.</li>
</ul>

<p><img alt="Toolbar buttons of the Rules view, as of Fx 72" src="https://mdn.mozillademos.org/files/17039/rules_view_buttons_Fx_72.png" style="display: block; height: 141px; margin: 0px auto; width: 220px;"></p>

<h3 id="Invalid_value_warnings">Invalid value warnings</h3>

<p>A warning icon appears next to unsupported CSS properties or rules that have invalid values. This can help you understand why certain styles are not being applied. In the following example, a spelling error, "background-colour" instead of "background-color" has made the rule invalid:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16730/invalid_property.png" style="border: 1px solid black; display: block; height: 298px; margin-left: auto; margin-right: auto; width: 486px;"></p>

<h3 id="Browser_compat_warnings">Browser compat warnings</h3>

<p>CSS properties have varied level of support across different browsers. From Firefox 81, compatibility tooltips may be displayed next to any CSS properties that have known compatibility issues, as shown below.</p>

<div class="note">
<p>This feature is enabled from Firefox 81 by setting the preference <code>devtools.inspector.ruleview.inline-compatibility-warning.enabled</code> to <code>true</code> (open <code>about.config</code> in the URL bar to view/set Firefox preferences).</p>
</div>

<p><img alt="Tooltip displayed next to CSS element. Hover to find out browsers with compatibility issues." src="https://mdn.mozillademos.org/files/17410/firefox_compatibility_tootips.jpg" style="height: 303px; width: 616px;"></p>

<p>The tooltips, which are populated from the MDN <a href="https://github.com/mdn/browser-compat-data">browser compatibility project</a>, identify the <em>reason</em> for the incompatibility (not supported, deprecated, experimental etc.), display icons for incompatible browsers, and provide a link to the associated property page for more information.</p>

<h3 id="CSS_Compatibility">CSS Compatibility</h3>

<p>In addition to compatibility tooltips, the <em>CSS Compatibility View</em> shows any CSS compatibility issues for both the selected element and for the current page (as a whole).<img alt="Screenshot of the Compatibility view" src="https://mdn.mozillademos.org/files/17219/compat_view.png"></p>

<p>For more information see:  <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#Compatibility_view">Page Inspector &gt; CSS Compatibility View</a>.</p>

<h3 id="Rule_display">Rule display</h3>

<p>It displays each rule as in a stylesheet, with a list of selectors followed by a list of <code>property:value;</code> declarations.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16447/rules_pane.png" style="display: block; height: 220px; margin-left: auto; margin-right: auto; width: 620px;"></p>

<ul>
 <li><em>Highlight matched elements</em>: next to the selector is a target icon: click this to highlight all nodes in the page that match this selector.</li>
 <li><em>Overridden declaration</em>: declarations that are overridden by later rules are crossed out. See <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Overridden_declarations">overridden declarations</a>.</li>
 <li><em>Inactive rules</em> (not shown): if a rule is inactive (e.g., <code>padding</code> on a <code>:visited</code> pseudo-element), it is colored gray, with an info icon that gives more information when clicked.</li>
 <li><em>Filter rules containing this property</em>: next to overridden declarations is an icon you can click to filter the rules list to show only those rules that include that property. See <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Overridden_declarations">overridden declarations</a>.</li>
 <li><em>Enable/disable</em>: if you hover over a declaration, a checkbox appears next to it: you can use this to toggle the declaration on or off.</li>
 <li><em>Filename and line number</em>: on the right-hand side is a link to the rule. See <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Link_to_CSS_file">link to CSS file</a>.</li>
</ul>

<p>If the element has a <code><a href="/en-US/docs/Web/CSS/display">display: grid</a></code> declaration, then it gets a grid icon next to it, like this: <img alt="" src="https://mdn.mozillademos.org/files/14524/Screen%20Shot%202016-12-16%20at%2010.51.15%20AM.png">. Click that icon to display the grid overlaid on the page, including grid lines and tracks. See <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_grid_layouts">Examine grid layouts</a> for more on this.</p>

<p>To view <a href="/en-US/docs/Web/CSS/Cascade">user-agent styles</a> (<em>i.e.,</em> browser-default CSS rules), enable "Inspector &gt; Show Browser Styles" under the <a href="/en-US/docs/Tools/Settings">developer tool settings</a> panel. (Note that this setting is independent of the "Browser styles" checkbox in the <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Examine_computed_CSS">Computed view</a>.)</p>

<p>User-agent styles are displayed against a different background, and the link to the filename and line number contains the prefix <code>(user agent)</code>:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16611/user-agent_css.png" style="border: 1px solid black; display: block; height: 76px; margin-left: auto; margin-right: auto; width: 320px;"></p>

<h3 id="element_rule">element {} rule</h3>

<p>The <code>element {}</code> rule at the top of the rules list isn't actually a CSS rule. It represents the CSS properties assigned to the element via its {{htmlattrxref("style")}} attribute.</p>

<p>This also gets the target icon: <img alt="" src="https://mdn.mozillademos.org/files/14520/target-icon.png">, giving you a convenient way to highlight the currently selected element in the page.</p>

<p>{{EmbedYouTube("bQzOAFvEDco")}}</p>

<h3 id="Filtering_rules">Filtering rules</h3>

<p>There's a box at the top of the Rules view labeled "Filter Styles":</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16920/filter_rules.png" style="border: 1px solid black; display: block; height: 317px; margin: 0px auto; width: 348px;">As you type:</p>

<ul>
 <li>any rules which don't contain the typed string at all are hidden</li>
 <li>any declarations which contain the typed string are highlighted</li>
</ul>

<p><img alt="" src="https://mdn.mozillademos.org/files/16921/filtered_rules.png" style="border: 1px solid black; display: block; height: 317px; margin-left: auto; margin-right: auto; width: 348px;">Click the "X" at the end of the search box to remove the filter.</p>

<div class="note">
<p>While in the Rules view, you can press <kbd>Ctrl</kbd> / <kbd>Cmd</kbd> + <kbd>F</kbd> to focus the search field. Once you've typed in a filter, you can press <kbd>Esc</kbd> to remove it again.</p>
</div>

<p>{{EmbedYouTube("9w8vDIWqnAE")}}</p>

<h4 id="Strict_search">Strict search</h4>

<p>By default, the search box highlights all declarations which contain any part of the string. For example, searching for "color" will highlight declarations containing <code><a href="/en-US/docs/Web/CSS/border-bottom-color">border-bottom-color</a></code> and <code><a href="/en-US/docs/Web/CSS/background-color">background-color</a></code> as well as just <code><a href="/en-US/docs/Web/CSS/color">color</a></code>.:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16922/filter_rules_2.png" style="border: 1px solid black; display: block; margin-left: auto; margin-right: auto;"></p>

<p>If you enclose the search query in backticks, like this: `color`, the search is restricted to exact matches:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16923/filter_rules_2_strict.png" style="border: 1px solid black; display: block; margin-left: auto; margin-right: auto;"></p>

<h3 id="Expanding_shorthand_properties">Expanding shorthand properties</h3>

<p><a href="/en-US/docs/Web/CSS/Shorthand_properties">Shorthand properties</a> can be expanded to display their related longhand properties by clicking the arrow besides them.</p>

<h3 id="Displaying_pseudo-elements">Displaying pseudo-elements</h3>

<p>The Rule view displays the following <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-elements</a>, if they are applied to the selected element:</p>

<p><code>::after<br>
 ::backdrop</code><br>
 <code>::before<br>
 ::first-letter<br>
 ::first-line<br>
 ::selection<br>
 :-moz-color-swatch<br>
 :-moz-number-spin-box<br>
 :-moz-number-spin-down<br>
 :-moz-number-spin-up<br>
 :-moz-number-text<br>
 :-moz-number-wrapper<br>
 :-moz-placeholder<br>
 :-moz-progress-bar<br>
 :-moz-range-progress<br>
 :-moz-range-thumb<br>
 :-moz-range-track<br>
 :-moz-selection</code></p>

<p>If the selected element has pseudo-elements applied to it, they are displayed before the selected element but hidden by a disclosure triangle:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16926/pseudo-elements.png" style="border: 1px solid black; display: block; height: 316px; margin-left: auto; margin-right: auto; width: 308px;"></p>

<p>Clicking the triangle displays them:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16927/pseudo-elements_displayed.png" style="border: 1px solid black; display: block; margin: 0 auto;"></p>

<h3 id="Viewing_common_pseudo-classes">Viewing common pseudo-classes</h3>

<p>There's a button to the right of the filter box:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16925/show_pseudo_classes.png" style="border: 1px solid black; display: block; margin: 0 auto;"></p>

<p>Click the button to see checkboxes that you can use to enable the {{cssxref(":hover")}}, {{cssxref(":active")}} and {{cssxref(":focus")}}, {{cssxref(":focus-within")}} and {{cssxref(":visited")}} pseudo-classes for the selected element:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16928/show_pseudo_classes_hover.png" style="border: 1px solid black; display: block; height: 315px; margin: 0px auto; width: 302px;">This feature can also be accessed from the <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_HTML#Element_popup_menu">popup menu in the HTML view</a>.</p>

<p>If you enable one of these pseudo-classes for a node, an orange dot appears in the markup view next to all nodes to which the pseudo-class has been applied. In addition, the information that appears on the page itself show you what pseudo-class you are examining. For example:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16929/hover_indicators.png" style="border: 1px solid black; display: block; height: 743px; margin: 0px auto; width: 902px;"></p>

<h3 id="Viewing_and_changing_classes_on_an_element">Viewing and changing classes on an element</h3>

<p>With an element selected in the HTML pane, you can click the <strong>.cls</strong> button in the Rules pane toolbar, to display the classes defined on that element.</p>

<ul>
 <li>You can clear the checkbox for a particular class name, to see how the element would appear without that class applied to it.</li>
 <li>You can add a class to the element by typing a name in the<em> Add new class</em> field below the Rules toolbar. From Firefox 81, autocompletions based on existing classes are suggested as you type.</li>
</ul>

<h3 id="Link_to_CSS_file">Link to CSS file</h3>

<p>At the top right of each rule, the source filename and line number is displayed as a link: clicking it opens the file in the <a href="/en-US/docs/Tools/Style_Editor">Style Editor</a>.</p>

<p>You can copy the location of the source file: right-click the link and select "Copy Location".</p>

<p>The Inspector understands CSS source maps. That means that if you are using a CSS preprocessor that has support for source maps, and you've enabled source map support in the <a href="/en-US/docs/Tools_Toolbox#Style_Editor">Style Editor settings</a>, then the link will take you to the original source, not the generated CSS. Read more about CSS source map support in the <a href="/en-US/docs/Tools/Style_Editor#Source_map_support">Style Editor documentation</a>.</p>

<h3 id="Overridden_declarations">Overridden declarations</h3>

<p>If a CSS declaration is overridden by some other CSS rule with a greater weight, then the declaration is shown with a line through it.</p>

<p>Overridden declarations have a funnel next to them. Click the funnel to filter the rule view to show only the rules applying to the current node that try to set the same property: that is, the complete cascade for the given property.</p>

<p>This makes it easy to see which rule is overriding the declaration:</p>

<p>{{EmbedYouTube("i9mDVjJAGwQ")}}</p>

<h3 id="View_media_rules_for_Print">View @media rules for Print</h3>

<p>You can toggle the display into a mode that emulates @media rules for print.</p>

<p>{{EmbedYouTube("AEmq9hNDOGU")}}</p>

<p>When on, any rules defined for printing the page will be displayed similar to the "Print Preview" mode that many word processing applications provide.</p>

<h3 id="View_media_rules_for_color-scheme-preference">View @media rules for color-scheme-preference</h3>

<div class="notecard note">
<p>As of Firefox 72, you must set <code>devtools.inspector.color-scheme-simulation.enabled</code> to <strong>true</strong> in the <a href="https://support.mozilla.org/en-US/kb/about-config-editor-firefox">Configuration Editor</a> to enable this feature.</p>

<p>If you have set <code>privacy.resistFingerprinting</code> to <strong>true</strong>, <code><a href="https://developer.mozilla.org/docs/Web/CSS/@media/prefers-color-scheme">prefers-color-scheme</a></code><a href="https://developer.mozilla.org/docs/Web/CSS/@media/prefers-color-scheme"> </a>preference is overridden to <code>light</code>. In order to use this simulator, you must set <code>privacy.resistFingerprinting</code> to <strong>false</strong>.</p>
</div>

<p>You can use the color scheme simulator to see how the styles display based on the <code><a href="/docs/Web/CSS/@media/prefers-color-scheme">prefers-color-scheme</a></code> media query, if it is defined for the page. The color scheme simulator has four states, which you can cycle through by clicking the button repeatedly:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Icon</th>
   <th scope="col">Value</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><img alt="" src="https://mdn.mozillademos.org/files/17040/color_scheme_null.png" style="border-style: solid; border-width: 1px; height: 37px; width: 37px;"></td>
   <td>null</td>
   <td>The <code>prefers-color-scheme</code> media feature is not defined.</td>
  </tr>
  <tr>
   <td><img alt="" src="https://mdn.mozillademos.org/files/17042/color_scheme_light.png" style="border-style: solid; border-width: 1px; height: 37px; width: 37px;"></td>
   <td><code>light</code></td>
   <td>The user prefers a light interface.</td>
  </tr>
  <tr>
   <td><img alt="" src="https://mdn.mozillademos.org/files/17043/color_scheme_dark.png" style="border-style: solid; border-width: 0px; height: 37px; width: 37px;"></td>
   <td><code>dark</code></td>
   <td>The user prefers a dark interface.</td>
  </tr>
 </tbody>
</table>

<p>Note that the first three states of the button may be difficult to distinguish visually. They typically produce a similar effect.</p>

<h2 id="Examine_computed_CSS">Examine computed CSS</h2>

<p>To see the complete computed CSS for the selected element, select the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#Computed_view">Computed panel</a> in the righthand pane. This panel shows the calculated value that each CSS property has for the selected element. (This calculated value is exactly the same as what <a href="/en-US/docs/Web/API/Window/getComputedStyle">getComputedStyle </a>would return.)</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16931/computed_css.png" style="border: 1px solid black; display: block; height: 225px; margin-left: auto; margin-right: auto; width: 444px;"></p>

<p>You can <kbd>Tab</kbd> through the styles to select them, and you can find more information about each property — pressing <kbd>F1</kbd> on a selected property will open up its MDN reference page.</p>

<p>Clicking the arrow next to the property name (or pressing <kbd>Enter</kbd> or <kbd>Space</kbd> while it is selected) shows the rule that set this value, along with a link to the source filename and line number:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16932/computed_css_details.png" style="border: 1px solid black; display: block; height: 225px; margin-left: auto; margin-right: auto; width: 444px;"></p>

<p>By default, this view only shows values that have been explicitly set by the page: to see all values, click the "Browser styles" box. You can <kbd>Tab</kbd> through the filenames/line numbers; pressing <kbd>Enter</kbd>/<kbd>Return</kbd> will open up the relevant file at that point in the <a href="/en-US/docs/Tools/Style_Editor">Style Editor</a>.</p>

<p>Typing in the search box performs a live filtering of the list, so, for example, if you just want to see font-related settings, you can type "font" in the search box, and only properties with "font" in the name will be listed. You can also search for the values of properties: to find the rule responsible for setting the font to "Lucida Grande", type that in the search box.</p>

<div class="note">
<p>While in the Computed view, you can press <kbd>Ctrl</kbd> / <kbd>Cmd</kbd> + <kbd>F</kbd> to focus the search field. Once you've typed in a filter, you can press <kbd>Esc</kbd> to remove it again.</p>
</div>

<h2 id="Edit_rules">Edit rules</h2>

<p>If you click on a declaration or a selector in the Rules view you can edit it and see the results immediately. You can also <kbd>Tab</kbd> through the different existing properties and values, and start editing them by pressing <kbd>Enter</kbd> or <kbd>Space</kbd>. To add a new declaration to a rule, click on the last line of the rule (the line occupied by the closing brace).</p>

<p>As you start typing a property name, you'll see a list of autocomplete suggestions. Press <kbd>Tab</kbd> to accept the current suggestion or <kbd>Up</kbd> and <kbd>Down</kbd> to move through the list. The default choice is the most common property that starts with the letters you've typed. For example, here the user has typed "c" and the default choice is "color":</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16933/edit_rule_autocomplete.png" style="border: 1px solid black; display: block; height: 342px; margin-left: auto; margin-right: auto; width: 431px;"></p>

<p>If you enter an invalid value for a property when editing it, or an unknown property name, a yellow alert icon appears besides the declaration.</p>

<p>Edits that you make in the Rules view are reflected in the <a href="/en-US/docs/Tools/Style_Editor">Style Editor</a>, and vice versa. Any changes you make are temporary: reloading the page will restore the original styling.</p>

<p>While you're editing CSS, the context menu you'll see is the normal one for working with editable text:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/14522/editable-context-menu.png" style="display: block; height: 241px; margin-left: auto; margin-right: auto; width: 200px;"></p>

<h3 id="CSS_variable_autocompletion">CSS variable autocompletion</h3>

<p><a href="/en-US/docs/Web/CSS/Using_CSS_variables">CSS variable names</a> will auto-complete depending on the variables defined in the CSS. If you enter <code>var(</code> into a property value and then type a dash (<code>-</code>), any variables you have declared in your CSS will then appear in an autocomplete list, which shows a color swatch so you can see exactly what color each variable choice is storing ({{bug(1451211)}}).<br>
 <br>
 <img alt="" src="https://mdn.mozillademos.org/files/16934/edit_rule_var_autocomplete.png" style="border: 1px solid black; display: block; height: 343px; margin: 0px auto; width: 431px;"></p>

<p>In addition, hovering over a CSS variable name brings up a tooltip showing what color value is stored in that variable ({{bug(1431949)}}).</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16935/var_value.png" style="border: 1px solid black; display: block; height: 72px; margin: 0px auto; width: 427px;"></p>

<h3 id="Editing_keyboard_shortcuts">Editing keyboard shortcuts</h3>

<p>You can use the arrow and page up/down keys (along with others) to increase/decrease numeric rules while editing:</p>

<ul>
 <li>The <kbd>Up</kbd> arrow increments values by 1 — for example, "1px" changes to "2px".</li>
 <li><kbd>Shift</kbd> + <kbd>Up</kbd>/<kbd>Down</kbd> increments or decrements values by 10.</li>
 <li><kbd>Ctrl</kbd> + <kbd>Up</kbd>/<kbd>Down</kbd> (on Linux and Windows) or <kbd>Alt</kbd> + <kbd>Up</kbd>/<kbd>Down</kbd> (on Mac) increments or decrements values by 0.1.</li>
 <li><kbd>Shift</kbd> + <kbd>Page up</kbd>/<kbd>Page down</kbd> increments or decrements values by 100.</li>
</ul>

<h3 id="Track_changes">Track changes</h3>

<p>When you are editing the rules in the rules view, you can see the changes you have made in the Changes pane.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16448/track_changes.png" style="border: 1px solid black; display: block; margin: 0 auto;"></p>

<div class="notecard note">
<p><strong>Note:</strong> You can view changes made to the rules view only. If you edit the CSS using the Style Editor, the changes will not be shown in the changes pane.</p>

<p>Also remember, as noted above, that changes you make to the CSS rules are temporary and will be reset if you reload the page.</p>
</div>

<p>If you are satisfied with the changes you have made, you can copy the new settings to page the edited rule into your stylesheet. Right-click on the changes panel and select <strong>Copy Rule</strong> from the context menu.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16555/save_changes_panel.png" style="border: 1px solid black; display: block; height: 272px; margin: 0px auto; width: 658px;"></p>

<p>The Copy Rule command copies the entire element, class, or id definition, including any unchanged rules and the rules that describe your changes. For example, copying the changes in the preceding image, you get the following:</p>

<pre class="brush: css notranslate">.text-content p {
 box-sizing:border-box;
 max-width:24rem;
 text-decoration: underline;
 color: cadetblue;
 font-weight: bold;
}</pre>

<h2 id="Add_rules">Add rules</h2>

<p>You can add new rules in the Rules view. Just right-click to show the context menu and select "Add rule". This will add a new CSS rule whose selector matches the currently selected node.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16936/add_new_rule.png" style="border: 1px solid black; display: block; height: 225px; margin-left: auto; margin-right: auto; width: 426px;"></p>

<p>There's also a button that enables you to do the same thing:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16937/rules_panel.png" style="border: 1px solid black; display: block; height: 224px; margin-left: auto; margin-right: auto; width: 425px;"></p>

<h2 id="Copy_rules">Copy rules</h2>

<p>To copy rules, and pieces of rules, use one of the following context menu items in the Rules view:</p>

<ul>
 <li>Copy Rule</li>
 <li>Copy Selector</li>
 <li>Copy Property Declaration</li>
 <li>Copy Property Name</li>
 <li>Copy Property Value</li>
</ul>

<p><img alt="" src="https://mdn.mozillademos.org/files/16924/rules_context_menu.png" style="display: block; height: 126px; margin-left: auto; margin-right: auto; width: 183px;"></p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Complete list of Page Inspector <a href="/en-US/docs/Tools/Page_Inspector/Keyboard_shortcuts">Keyboard shortcuts</a>.</li>
 <li>The Inspector also includes a number of specialized tools for working with particular CSS features, such as colors, fonts, and animations. To read about these see the list of <a href="/en-US/docs/Tools/Page_Inspector">how to guides</a>.</li>
</ul>
